Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kemet.orm.castor
Class Value

    java.lang.Object
      org.kemet.orm.castor.Value

All Implemented Interfaces:
  java.io.Serializable

    public class Value

extends java.lang.Object
implements java.io.Serializable

Class Value.

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Constructor Summary
`Value()`
`Value(java.lang.String defaultValue)`

Method Summary
`java.lang.String` | `getContent()` Returns the value of field 'content'.
`ValueModeType` | `getMode()` Returns the value of field 'mode'.
`ValuePersonType` | `getPerson()` Returns the value of field 'person'.
`boolean` | `isValid()` Method isValid.
`void` | `marshal(org.xml.sax.ContentHandler handler)`
`void` | `marshal(java.io.Writer out)`
`void` | `setContent(java.lang.String content)` Sets the value of field 'content'.
`void` | `setMode(ValueModeType mode)` Sets the value of field 'mode'.
`void` | `setPerson(ValuePersonType person)` Sets the value of field 'person'.
`static Value` | `unmarshal(java.io.Reader reader)` Method unmarshal.
`void` | `validate()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Value

    public Value()

### Value

    public Value(java.lang.String defaultValue)

Method Detail

### getContent

    public java.lang.String getContent()

  Returns the value of field 'content'. The field 'content' has the following description: internal content storage

  Returns:
    the value of field 'Content'.

### getMode

    public ValueModeType getMode()

  Returns the value of field 'mode'.

  Returns:
    the value of field 'Mode'.

### getPerson

    public ValuePersonType getPerson()

  Returns the value of field 'person'.

  Returns:
    the value of field 'Person'.

### isValid

    public boolean isValid()

  Method isValid.

  Returns:
    true if this object is valid according to the schema

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

### marshal

    public void marshal(org.xml.sax.ContentHandler handler)
                 throws java.io.IOException,
                        org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `java.io.IOException` - if an IOException occurs during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling

### setContent

    public void setContent(java.lang.String content)

  Sets the value of field 'content'. The field 'content' has the following description: internal content storage

  Parameters:
    `content` - the value of field 'content'.

### setMode

    public void setMode(ValueModeType mode)

  Sets the value of field 'mode'.

  Parameters:
    `mode` - the value of field 'mode'.

### setPerson

    public void setPerson(ValuePersonType person)

  Sets the value of field 'person'.

  Parameters:
    `person` - the value of field 'person'.

### unmarshal

    public static Value unmarshal(java.io.Reader reader)
                           throws org.exolab.castor.xml.MarshalException,
                                  org.exolab.castor.xml.ValidationException

  Method unmarshal.

  Parameters:
    `reader` -
  Returns:
    the unmarshaled org.kemet.orm.castor.Value
  Throws:
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 F. MAUPIN. All Rights Reserved.